GLFW

- Documentation
- Download
- Community

Macros
Joystick hat states
Input reference

## Description

See joystick hat input for how these are used.

## Macros
#define | GLFW_HAT_CENTERED 0
#define | GLFW_HAT_UP 1
#define | GLFW_HAT_RIGHT 2
#define | GLFW_HAT_DOWN 4
#define | GLFW_HAT_LEFT 8
#define | GLFW_HAT_RIGHT_UP (GLFW_HAT_RIGHT | GLFW_HAT_UP)
#define | GLFW_HAT_RIGHT_DOWN (GLFW_HAT_RIGHT | GLFW_HAT_DOWN)
#define | GLFW_HAT_LEFT_UP (GLFW_HAT_LEFT | GLFW_HAT_UP)
#define | GLFW_HAT_LEFT_DOWN (GLFW_HAT_LEFT | GLFW_HAT_DOWN)

## Macro Definition Documentation

## ◆ GLFW_HAT_CENTERED

#define GLFW_HAT_CENTERED 0

## ◆ GLFW_HAT_UP

#define GLFW_HAT_UP 1

## ◆ GLFW_HAT_RIGHT

#define GLFW_HAT_RIGHT 2

## ◆ GLFW_HAT_DOWN

#define GLFW_HAT_DOWN 4

## ◆ GLFW_HAT_LEFT

#define GLFW_HAT_LEFT 8

## ◆ GLFW_HAT_RIGHT_UP

#define GLFW_HAT_RIGHT_UP (GLFW_HAT_RIGHT | GLFW_HAT_UP)

## ◆ GLFW_HAT_RIGHT_DOWN

#define GLFW_HAT_RIGHT_DOWN (GLFW_HAT_RIGHT | GLFW_HAT_DOWN)

## ◆ GLFW_HAT_LEFT_UP

#define GLFW_HAT_LEFT_UP (GLFW_HAT_LEFT | GLFW_HAT_UP)

## ◆ GLFW_HAT_LEFT_DOWN

#define GLFW_HAT_LEFT_DOWN (GLFW_HAT_LEFT | GLFW_HAT_DOWN)